apiVersion: kubeadm.k8s.io/v1beta3
kind: UpgradeConfiguration
kubernetesVersion: v1.32.3
bootstrapTokens:
- groups:
  - system:bootstrappers:kubeadm:default-node-token
  token: 5kjlva.6y7tarecyrsnwn2c
  ttl: 24h0m0s
  usages:
  - signing
  - authentication
kind: InitConfiguration
localAPIEndpoint:
  advertiseAddress: 192.168.1.2
  bindPort: 6443
nodeRegistration:
  criSocket: unix:///var/run/crio/crio.sock
  imagePullPolicy: IfNotPresent
  name: server-3
  taints:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
  - effect: NoSchedule
    key: node-role.kubernetes.io/control-plane
---
apiServer:
  timeoutForControlPlane: 4m0s
apiVersion: kubeadm.k8s.io/v1beta3
certificatesDir: /etc/kubernetes/pki
clusterName: home-cluster
controlPlaneEndpoint: 192.168.1.2:6443
controllerManager: {}
dns: {}
etcd:
  external:
    caFile: /etc/etcd/ca.pem
    certFile: /etc/etcd/etcd.pem
    endpoints:
    - https://192.168.1.6:2379
    - https://192.168.1.10:2379
    - https://192.168.1.11:2379
    keyFile: /etc/etcd/etcd-key.pem
kind: ClusterConfiguration
networking:
  dnsDomain: cluster.local
  podSubnet: 10.244.0.0/16
  serviceSubnet: 10.96.0.0/16
scheduler: {}
imageRepository: registry.k8s.io
